aboutsummaryrefslogtreecommitdiffstats
path: root/testing/qt5-qtwebkit/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-10 13:39:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-10 14:39:28 +0000
commit0b881a325f137e22f128643a20a13b18b9833a76 (patch)
treec775271319fab26104a063016e78e4202b82d08a /testing/qt5-qtwebkit/APKBUILD
parenta17115daadb6b1bb099670b5a23ac47407bd0515 (diff)
downloadaports-0b881a325f137e22f128643a20a13b18b9833a76.tar.gz
aports-0b881a325f137e22f128643a20a13b18b9833a76.tar.bz2
aports-0b881a325f137e22f128643a20a13b18b9833a76.tar.xz
testing/qt5-webkit: new aport
Diffstat (limited to 'testing/qt5-qtwebkit/APKBUILD')
-rw-r--r--testing/qt5-qtwebkit/APKBUILD80
1 files changed, 80 insertions, 0 deletions
diff --git a/testing/qt5-qtwebkit/APKBUILD b/testing/qt5-qtwebkit/APKBUILD
new file mode 100644
index 0000000000..e84303ff56
--- /dev/null
+++ b/testing/qt5-qtwebkit/APKBUILD
@@ -0,0 +1,80 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=qt5-qtwebkit
+pkgver=5.1.1
+pkgrel=1
+pkgdesc="Qt5 - QtWebKit components"
+url="http://qt-project.org/"
+arch="all"
+license="LGPLv2 with exceptions or GPLv3 with exceptions"
+depends=""
+depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev gstreamer1-dev
+ gst-plugins-base1-dev libxslt-dev mesa-dev icu-dev libxext-dev
+ glib-dev libxcomposite-dev libxrender-dev
+ "
+makedepends="$depends_dev
+ bison
+ flex
+ fontconfig-dev
+ gperf
+ libjpeg-turbo-dev
+ libpng-dev
+ libwebp-dev
+ pcre-dev
+ ruby
+ sqlite-dev
+ zlib-dev
+ "
+install=""
+subpackages="$pkgname-dev"
+source="http://download.qt-project.org/official_releases/qt/5.1/$pkgver/submodules/qtwebkit-opensource-src-$pkgver.tar.xz
+ bison3.patch
+ pic.patch
+ fix-rpath.patch
+ "
+
+_builddir="$srcdir"/qtwebkit-opensource-src-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ # remove some bundled
+ mkdir Source/ThirdParty/orig
+ mv Source/ThirdParty/glu/ \
+ Source/ThirdParty/gtest/ \
+ Source/ThirdParty/gyp \
+ Source/ThirdParty/mt19937ar.c \
+ Source/ThirdParty/qunit/ \
+ Source/ThirdParty/orig/ \
+ || return 1
+}
+
+build() {
+ cd "$_builddir"
+ qmake && make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install INSTALL_ROOT="$pkgdir" || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+ # remove rpath
+# chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/* || return 1
+ sed -i -e 's:-L/home[^ ]\+::g' "$pkgdir"/usr/lib/pkgconfig/*.pc
+}
+
+md5sums="70e956dafcee1969de53d4de7b4691ad qtwebkit-opensource-src-5.1.1.tar.xz
+6b162cd2bc104f0ae83ca039401be7bf bison3.patch
+676350288efff119bee8513d9d0b2047 pic.patch
+e86a2f40683cd0633cb35c56cfce16de fix-rpath.patch"
+sha256sums="d6ee1e9111b0996277a512ae71736a05faa7c0de6d69ac2978adce79c3116a24 qtwebkit-opensource-src-5.1.1.tar.xz
+774f685f14e5341a010dd41a30700b92c336e2500880c8e5024e92a2c42499f2 bison3.patch
+51c0e843c5c6453526ee51ed69f2d4a7959767621da321f1082985dfe9f001ef pic.patch
+340e1a9b89088683c782456a4ebbfff0d6a18e08832f56a6cc0ecd5baadc51e1 fix-rpath.patch"
+sha512sums="aa7e310f1319902131dab5705a5bb2c02252f0d3d6b288ab13478ae42d38664578c52708cf3fa504ffc0b1f9f161e5bbcc65bdf6a7028c043b992211986a5f64 qtwebkit-opensource-src-5.1.1.tar.xz
+daa7aa25caa2cc70f6227d01e4ffdf9374d2c418f2aa34072a430c2c891c1bc5d68c6911f61f24505d4b8e89e572b6405fbfa1cecd55f0c66baa7abc8d0893f1 bison3.patch
+9a62a5e7af91c44311b517608262f88b5bc607e75dc5878dd08b0a0872ec03fb7a566df0a41413f7e60beb1b9880e24f084b90c38ed50d4219ec2ad6af9bd62f pic.patch
+156db7c346db2bba15332f2e0ab13add1e8e71cf4c165ea1adcfdcf054c73590d28202699bce3a48a8a974081bd6b2bf1b04196014d47ee53a748a56063e2495 fix-rpath.patch"